<template>
  <section
    class="pb-5 pt-20 px-4 flex flex-row items-center justify-center smallest:flex-col"
  >
    <div
      class="relative flex justify-center h-fit basis-3/12 max-w-3/12 base:basis-[30%] base:max-w-[30%] small:basis-[35%] small:max-w-[35%] smallest:max-w-[100%] smallest:basis-full smallest:mt-4 base:-ml-2"
    >
      <img
        src="../../../assets/logo/logo-toko_semesta.jpg"
        alt="logo"
        class="-mt-5 w-[111px] base:w-[90px] small:w-[75px]"
      />
      <div
        class="absolute flex flex-row items-center justify-center bottom-[-10%] w-fit py-[6px] px-[8px] rounded-full bg-400"
      >
        <svg
          class="w-5 fill-100 small:w-4"
          focusable="false"
          aria-hidden="true"
          viewBox="0 0 24 24"
          data-testid="FavoriteIcon"
        >
          <path
            d="m12 21.35-1.45-1.32C5.4 15.36 2 12.28 2 8.5 2 5.42 4.42 3 7.5 3c1.74 0 3.41.81 4.5 2.09C13.09 3.81 14.76 3 16.5 3 19.58 3 22 5.42 22 8.5c0 3.78-3.4 6.86-8.55 11.54L12 21.35z"
          ></path>
        </svg>
        <span
          class="pl-1.5 text-base font-semibold text-center text-200 base:text-sm small:text-xs"
          >5.0</span
        >
      </div>
    </div>
    <div
      class="h-full pl-4 base:pl-2 flex flex-col justify-center basis-3/4 max-w-3/4 smallest:pl-0 base:basis-[70%] base:max-w-[70%] small:basis-[65%] small:max-w-[65%] smallest:basis-full smallest:max-w-[100%] smallest:mt-8"
    >
      <span
        class="text-lg font-semibold base:text-base small:text-sm smallest:text-xs"
        >Toko Semesta</span
      >
      <span class="py-1.5 font-normal text-300 base:text-sm small:text-xs"
        >Jl. Kasipah Raya No. 182, Jatingaleh, Kec. Candisari, Kota
        Semarang</span
      >
      <div
        class="my-1.5 gap-2.5 base:gap-2 small:gap-1.5 flex flex-row flex-wrap"
      >
        <div
          class="flex center py-2 small:py-1.5 smallest:py-1 px-3.5 base:px-3 small:px-2.5 smallest:px-2 gap-2 rounded-full border-0 text-sm font-semibold text-100 bg-500 py-2 px-3 gap-1.5 base:text-xs small:text-[10px] base:px-3 base:py-2 base:gap-1.5"
        >
          Express
        </div>
        <div
          class="flex center py-2 small:py-1.5 smallest:py-1 px-3.5 base:px-3 small:px-2.5 smallest:px-2 gap-2 rounded-full border-0 text-sm font-semibold text-400 bg-1200 py-2 px-3 gap-1.5 base:text-xs small:text-[10px] base:px-3 base:py-2 base:gap-1.5"
        >
          09.00
        </div>
        <div
          class="flex center py-2 small:py-1.5 smallest:py-1 px-3.5 base:px-3 small:px-2.5 smallest:px-2 gap-2 rounded-full border-0 text-sm font-semibold text-400 bg-1200 py-2 px-3 gap-1.5 base:text-xs small:text-[10px] base:px-3 base:py-2 base:gap-1.5"
        >
          16.00
        </div>
      </div>
    </div>
  </section>
</template>

<script>
export default {
  name: "MerchantHeader",
};
</script>
